Package org.globus.gsi.provider.simple

# Class SimpleMemoryKeyStoreLoadStoreParameter

java.lang.Object
org.globus.gsi.provider.simple.SimpleMemoryKeyStoreLoadStoreParameter

All Implemented Interfaces:
  `KeyStore.LoadStoreParameter`

public class SimpleMemoryKeyStoreLoadStoreParameter extends Object implements KeyStore.LoadStoreParameter
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`SimpleMemoryKeyStoreLoadStoreParameter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`X509Certificate[]`
`getCerts()`
Deprecated.
`KeyStore.ProtectionParameter`
`getProtectionParameter()`
Deprecated.
`void`
`setCerts(X509Certificate[] certs)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMemoryKeyStoreLoadStoreParameter

public SimpleMemoryKeyStoreLoadStoreParameter()
Deprecated.

## Method Details

### getCerts

public X509Certificate[] getCerts()
Deprecated.

### setCerts

public void setCerts(X509Certificate[] certs)
Deprecated.

### getProtectionParameter

public KeyStore.ProtectionParameter getProtectionParameter()
Deprecated.

Specified by:
  `getProtectionParameter` in interface `KeyStore.LoadStoreParameter`